<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of record
 *
 * @author mzq163
 */
class Record extends CI_Controller {
    

    //put your code here
    public function __construct() {
        parent::__construct();
        $this->load->helper('url');
        $this->load->model('Dashboard_model', 'd_model');
    }

    /**
     * 
     * 
     * 
     */
    public function getRecordPage() {

        $this->responseData['tonk'] = $this->d_model->getCountModuleSubmoduleSesssion('टोंक');
        $this->responseData['behraich'] = $this->d_model->getCountModuleSubmoduleSesssion('बहराइच');
        
        $this->responseData['group_t'][] = $this->d_model->getGroupDetailCountByAdmin('टोंक', 'आशा');
        $this->responseData['group_t'][] = $this->d_model->getGroupDetailCountByAdmin('टोंक', 'ए एन एम');
        $this->responseData['group_t'][] = $this->d_model->getGroupDetailCountByAdmin('टोंक', 'other');
              
        $this->responseData['group_b'][] = $this->d_model->getGroupDetailCountByAdmin('बहराइच', 'आशा');
        $this->responseData['group_b'][] = $this->d_model->getGroupDetailCountByAdmin('बहराइच', 'ए एन एम');
        $this->responseData['group_b'][] = $this->d_model->getGroupDetailCountByAdmin('बहराइच', 'other');
     
        
        $this->responseData['single_t'][] = $this->d_model->getSingleDetailCountByAdmin('टोंक', 'आशा');
        $this->responseData['single_t'][] = $this->d_model->getSingleDetailCountByAdmin('टोंक', 'ए एन एम');
        $this->responseData['single_t'][] = $this->d_model->getSingleDetailCountByAdmin('टोंक', 'other');
              
        $this->responseData['single_b'][] = $this->d_model->getSingleDetailCountByAdmin('बहराइच', 'आशा');
        $this->responseData['single_b'][] = $this->d_model->getSingleDetailCountByAdmin('बहराइच', 'ए एन एम');
        $this->responseData['single_b'][] = $this->d_model->getSingleDetailCountByAdmin('बहराइच', 'other');
      
        
        $this->responseData['count_single'] = $this->d_model->getSingleUserSessionCountModel();

        $this->responseData['count_group'] = $this->d_model->getGroupUserSessionCountModel();
        $this->load->view('record', $this->responseData);
    }

}
